POST
/iam/api/v1/api-keys

Authentication

API Key (BearerAuth)

  • Header: Authorization

Request Body

API key input

Required

expires_atstring

namestringrequired

scopesstring[]

Example:

{
  "expires_at": "string",
  "name": "string",
  "scopes": [
    "string"
  ]
}

Responses

201
Created

Response Fields:

  • created_at (string)

  • expires_at (string)

  • id (string)

  • key (string)

  • key_prefix (string)

  • last_used_at (string)

  • name (string)

  • scopes (string[])

Example:

{
  "created_at": "string",
  "expires_at": "string",
  "id": "string",
  "key": "string",
  "key_prefix": "string",
  "last_used_at": "string",
  "name": "string",
  "scopes": [
    "string"
  ]
}
400
Bad Request

Example:

{
  "key": "value"
}
401
Unauthorized

Example:

{
  "key": "value"
}